GDB (xrefs)

Public Attributes | List of all members
range Struct Reference

## Public Attributes
LONGEST | offset
LONGEST | length

## Detailed Description

Definition at line 62 of file value.c.

## Member Data Documentation

## ◆ length

LONGEST range::length

Definition at line 68 of file value.c.

Referenced by find_first_range_overlap(), find_first_range_overlap_and_match(), insert_into_bit_range_vector(), linux_vsyscall_range_raw(), mark_value_bits_unavailable(), mark_value_bytes_unavailable(), ranges_contain(), ranges_copy_adjusted(), and value_entirely_covered_by_range_vector().

## ◆ offset

LONGEST range::offset

Definition at line 65 of file value.c.

Referenced by find_first_range_overlap(), find_first_range_overlap_and_match(), insert_into_bit_range_vector(), range_lessthan(), ranges_contain(), ranges_copy_adjusted(), and value_entirely_covered_by_range_vector().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/value.c